function EPSPlotAR(xi,xf,yi,yf,op)

% Save an eps image of an Admissible Region, the input data are
% xi - xf : Initial-Final Value of rho
% yi - yf : Initial-Final Value of d(rho)/dt
% op :Option 

axis([xi xf yi yf])
set(gca,...
    'Units','normalized',...
    'YTick',yi:(yf-yi)/6:yf,...
    'XTick',xi:(xf-xi)/5:xf,...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',15,...
    'FontName','Times')

ylabel('$\dot{\rho}$  (AU/day)','FontUnits','points','interpreter',...
    'latex','FontSize',18,'FontName','Times')
%%%%%%%%%%%%%%%%%%
xlabel('$f(\rho),\hspace{0.1cm} \rho$ in AU','FontUnits','points',...
    'interpreter','latex','FontSize',18,'FontName','Times')
%%%%%%%%%
% legend({'Some Legend'},'FontUnits','points','interpreter','latex',...
%     'FontSize',15,'FontName','Courier','Location','NorthEast')

switch op
    case 1
        title('AR in Geocentric approach','FontUnits',...
            'points','FontSize',18,'FontName','Times','interpreter','latex')
        set(gcf,'renderer','Painters')
        print -depsc2 -tiff -r300 -painters Name.eps
    case 2
        title('AR with Topocentric correction','FontUnits',...
            'points','FontSize',18,'FontName','Times')
        print -depsc2 Name.eps
end
end