function coe = attributable(Datos,op)

% this funtion receives as input a matrix
% Datos(:,1) = Times in Juliana date
% Datos(:,2) = Right Ascension in radians
% Datos(:,3) = Declination in radians
% op: 1 or 2, 1: Without topocentric correction, 2: With topocentric correction
% output: [alfa ,alfa. , delta, delta. , Rx ,Ry, Rz, VelTx, VelTy, VelTz]

format longg
%uncomment the observatory site
M = [289.26626 0.873440 -0.486052]; % 809 European Southern Observatory, La Silla
% M = [284.30958 0.996767 +0.082976]; %W63  Observatorio Astronomico UTP, Pereira
% M = [254.17942 0.841945 +0.538563]; %705  Apache Point
% some other observatories
% M = [249.21128 0.845111 +0.533614]; %Mt. Lemmon Survey
% M = [203.7420  0.93623  +0.35156]; %608  Haleakala-AMOS
% M = [203.74409 0.936241 +0.351543]; %F51  Pan-STARRS 1, Haleakala
% M =  [203.74299 0.936235 +0.351547]; %T05 ATLAS-HKO, Haleakala
% M = [249.26736 0.845315 +0.533213];  %703  Catalina Sky Survey
% M = [248.4009  0.84947  +0.52647];  %291  LPL/Spacewatch II

alfa = linearFitting(Datos(:,1),Datos(:,2));
delta = linearFitting(Datos(:,1),Datos(:,3));
R = EarthVector(Datos(:,1));    %posicion de la tierra en el momento de cada observaciones
Rx = linearFitting(Datos(:,1),R(:,1));
Ry = linearFitting(Datos(:,1),R(:,2));
Rz = linearFitting(Datos(:,1),R(:,3));

switch op
    case 1
        Rpos = [Rx(1) Ry(1) Rz(1)]; %Heliocentric position of the center of the Earth
        Rvel = [Rx(2) Ry(2) Rz(2)];  %Heliocentric velocity of the center of the Earth
    case 2
        
        for i=1:length(Datos(:,1))
            obpor(i,:) = Pobs(Datos(i,1), M);
        end
        pobx = linearFitting(Datos(:,1),obpor(:,1));
        poby = linearFitting(Datos(:,1),obpor(:,2));
        pobz = linearFitting(Datos(:,1),obpor(:,3));
        
        Rpos = [Rx(1)+pobx(1) Ry(1)+poby(1) Rz(1)+pobz(1)];
        Rvel = [Rx(2)+pobx(2) Ry(2)+poby(2) Rz(2)+pobz(2)];
        
end
coe = [alfa delta Rpos Rvel];
end